summaryrefslogtreecommitdiff
path: root/libre/xbmc-libre-lts/xbmc.install
diff options
context:
space:
mode:
Diffstat (limited to 'libre/xbmc-libre-lts/xbmc.install')
-rw-r--r--libre/xbmc-libre-lts/xbmc.install10
1 files changed, 8 insertions, 2 deletions
diff --git a/libre/xbmc-libre-lts/xbmc.install b/libre/xbmc-libre-lts/xbmc.install
index 406476198..48f337c55 100644
--- a/libre/xbmc-libre-lts/xbmc.install
+++ b/libre/xbmc-libre-lts/xbmc.install
@@ -10,10 +10,16 @@ post_install() {
post_upgrade() {
post_install $1
if ! getent group xbmc | cut -d: -f3 | grep 420 > /dev/null 2>&1; then
- groupmod -g 420 xbmc
+ groupmod -g 420 xbmc > /dev/null 2>&1
fi
if ! id -u xbmc | grep 420 > /dev/null 2>&1; then
- usermod -u 420 xbmc
+ usermod -u 420 xbmc > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ echo "Changing uid of user xbmc failed"
+ echo "It is recommended that the uid is changed."
+ echo "Stop all processes running under the xbmc user and reinstall xbmc"
+ echo "or change the uid manually. (usermod -u 420 xbmc)"
+ fi
chown -R xbmc:xbmc /var/lib/xbmc
fi
}